Failed to resolve plugin dependencies within OBR, with some strange unsatisfied requirements Edited

Hi,

I have trouble with uploading plugins in Jira, I updated UPM to the newest version, I saw this: https://community.atlassian.com/t5/Confluence-questions/Impossible-to-install-plugins-Failed-to-resolve-plugin/qaq-p/85617, and did as following: https://ecosystem.atlassian.net/browse/UPM-5035, but it didn't work. When I upload my plugin:

2017-04-21 01:29:43,750 http-bio-2990-exec-4 WARN thangdt3 89x3x1 1yvt04t 0:0:0:0:0:0:0:1 /plugins/servlet/upm/marketplace [spring.scanner.extension.DevModeBeanInitialisationLoggerBeanPostProcessor] AfterInitialisation [beanName=com.atlassian.jira.projects.tabpanel.TabPanelWebPanelRenderer, objectType=com.atlassian.jira.projects.tabpanel.TabPanelWebPanelRenderer, level=-58]
2017-04-21 01:30:19,807 http-bio-2990-exec-13 WARN thangdt3 90x877x2 1yvt04t 0:0:0:0:0:0:0:1 /rest/plugins/1.0/installed-marketplace [atlassian.upm.pac.PacClientImpl] Update check request may take longer because of the number of add-ons
2017-04-21 01:31:01,778 UpmAsynchronousTaskManager:thread-3 ERROR thangdt3 90x900x1 1yvt04t 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [upm.core.install.ObrPluginInstallHandler] OBR resolver has 4 unsatisfied requirements for installing plugin_7109468542611711012_myPlugin-1.0.0-SNAPSHOT.obr
2017-04-21 01:31:01,778 UpmAsynchronousTaskManager:thread-3 ERROR thangdt3 90x900x1 1yvt04t 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [upm.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.sun.media.imageio.plugins.tiff))
2017-04-21 01:31:01,778 UpmAsynchronousTaskManager:thread-3 ERROR thangdt3 90x900x1 1yvt04t 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [upm.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=org.apache.poi.xssf.usermodel))
2017-04-21 01:31:01,778 UpmAsynchronousTaskManager:thread-3 ERROR thangdt3 90x900x1 1yvt04t 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [upm.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=org.apache.poi.ss.usermodel))
2017-04-21 01:31:01,779 UpmAsynchronousTaskManager:thread-3 ERROR thangdt3 90x900x1 1yvt04t 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [upm.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=org.apache.tools.zip))
2017-04-21 01:31:02,332 UpmAsynchronousTaskManager:thread-3 WARN thangdt3 90x900x1 1yvt04t 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [upm.core.install.DefaultPluginInstallationService] Plugin installation failed: Failed to resolve plugin dependencies within OBR [plugin_7109468542611711012_myPlugin-1.0.0-SNAPSHOT.obr]. Please see the logs for more detailed information.

 Some days ago I could upload plugins normally.What should I do?

0 answers

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Tuesday in Jira

What modern development practices are at the heart of how your team delivers software?

Hey Community mates! Claire here from the Software Product Marketing team. We all know software development changes rapidly, and it's often tough to keep up. But from our research, we've found the h...

286 views 1 4
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you